Subject: bug#15659: 24.1; (wishlist) Simple method for preserving minor-mode

From: yary <[email-masked]>
Date: Sun, 20 Oct 2013 09:26:44 -0400

On Sat, Oct 19, 2013 at 9:33 PM, Stefan Monnier
<[email-masked]> wrote:
>> There are times when I wish to set a minor-mode permanently for a
>> buffer, even through major-mode changes. They are display-related
>> minor-modes, such as buffer-face-mode or text-scale-mode.
>
> Indeed, those two should probably be make "permanent local".

That's a better solution than prompting people to make permanent those
minor-modes themselves, via some new generic method for preserving any
minor mode.

I can still see a reason to have something like a `:local-variables'
keyword for any mode definition, minor or major- to help `desktop
save/recover' properly handle the buffer state. Doubtless there would
be yet more uses I haven't thought of.